libaudcore/charset.cc seems to ignore HAVE_ICONV macro.

July 31, 2016 16:14 - Carlo Bramini

Status: Rejected Start date: July 31, 2016

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

I noticed that libaudcore/charset.cc ignores the result of test on ICONV presence made by configure script.

If there is not ICONV, the link stage will fails because iconv_open, iconv_close and iconv symbols are undefined.

I can just install that library to bypass this, but I'm wondering if libaudcore/charset.cc should be fixed to handle that missing capability

or the configure script should halt if it is not found, saying that ICONV is not an option but a requirement.

Sincerely.

History

#1 - July 31, 2016 20:39 - John Lindgren

iconv is a hard requirement.  If you have a patch to make ./configure halt when it's not found, I can apply it, but I have no systems lacking iconv to test

on.

#2 - August 04, 2016 01:03 - John Lindgren

- Status changed from New to Rejected

Not a bug since iconv() is in POSIX, which is our target platform.  (Windows is an exception and only supported if you exactly follow the instructions

we provide.)

#3 - August 06, 2016 09:33 - Carlo Bramini

John Lindgren wrote:

Not a bug since iconv() is in POSIX, which is our target platform.  (Windows is an exception and only supported if you exactly follow the

instructions we provide.)

 

I agree, actually the solution is simply to install libiconv or winiconv because, as you wrote, it is a requirement and not an option.
